
import StructuredText
import re

parseBody=re.compile(r'.*<body>(.*)</body>.*').match

def formatTextAsST(self, text, level=3):
  "Returns formatted text."
  html = StructuredText.StructuredText.HTML(text, level=level)
  html = str(html)
  match = parseBody(html)
  if match:
    html = match.groups()[1]
  return '''<!-- formatTextAsST%(level)d -->
            %(html)s
            <!-- /formatTextAsST%(level)d -->''' \
		% locals()


def formatTextAsST4(self, text):
  "Returns formatted text starting at level 4."
  return formatTextAsST(self, text, level=4)

